# Uses of Interface
org.opensaml.messaging.encoder.MessageEncoder

Packages that use MessageEncoder
Package
Description
org.opensaml.messaging.encoder
Interfaces and classes for encoding messages.
org.opensaml.messaging.encoder.httpclient
Interfaces and classes for encoding HTTP messages.
org.opensaml.messaging.encoder.servlet
Interfaces and classes for encoding messages to a `HttpServletResponse`.
org.opensaml.messaging.error
Interfaces and classes for message-related error handling.
org.opensaml.messaging.pipeline
Interfaces and classes for message processing pipelines.
org.opensaml.messaging.pipeline.httpclient
Interfaces and classes for HTTP message processing pipelines.
org.opensaml.messaging.pipeline.servlet
Interfaces and classes for HTTP Servlet message processing pipelines.
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.saml.common.binding.encoding
Classes used to encode SAML messages.
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.saml1.binding.encoding.impl
SAML 1.x message encoders.
org.opensaml.saml.saml2.binding.encoding.impl
SAML 2.0 message encoders.
org.opensaml.soap.client.soap11.encoder.http.impl
SOAP 1.1 client message encoding support implementations.
org.opensaml.soap.soap11.encoder.http.impl
SOAP over HTTP 1.1 message encoder and handlers.

## Uses of MessageEncoder in org.opensaml.messaging.encoder

Subinterfaces of MessageEncoder in org.opensaml.messaging.encoder
Modifier and Type
Interface
Description
`interface`
`HTMLMessageEncoder`
Interface for a `MessageEncoder` that relies on HTML output, and thus requires CSP considerations.
Classes in org.opensaml.messaging.encoder that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`AbstractMessageEncoder`
Abstract message encoder.

## Uses of MessageEncoder in org.opensaml.messaging.encoder.httpclient

Subinterfaces of MessageEncoder in org.opensaml.messaging.encoder.httpclient
Modifier and Type
Interface
Description
`interface`
`HttpClientRequestMessageEncoder`
A specialization of `MessageEncoder` that operates on a sink message data type of `ClassicHttpRequest`.
Classes in org.opensaml.messaging.encoder.httpclient that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`AbstractHttpClientRequestMessageEncoder`
Abstract implementation of `HttpServletResponseMessageEncoder`.
`class`
`BaseHttpClientRequestXMLMessageEncoder`
Base class for message encoders which encode XML messages to HttpRequest.

## Uses of MessageEncoder in org.opensaml.messaging.encoder.servlet

Subinterfaces of MessageEncoder in org.opensaml.messaging.encoder.servlet
Modifier and Type
Interface
Description
`interface`
`HttpServletResponseMessageEncoder`
A specialization of `MessageEncoder` that operates on a sink message data type of `HttpServletResponse`.
Classes in org.opensaml.messaging.encoder.servlet that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`AbstractHttpServletResponseMessageEncoder`
Abstract implementation of `HttpServletResponseMessageEncoder`.
`class`
`BaseHttpServletResponseXMLMessageEncoder`
Base class for message encoders which encode XML messages to HttpServletResponse.

## Uses of MessageEncoder in org.opensaml.messaging.error

Methods in org.opensaml.messaging.error that return MessageEncoder
Modifier and Type
Method
Description
`MessageEncoder`
PipelineMessageErrorHandler.`getMessageEncoder()`
Deprecated, for removal: This API element is subject to removal in a future version.
Get the message encoder used to encode the outbound error message.
Methods in org.opensaml.messaging.error with parameters of type MessageEncoder
Modifier and Type
Method
Description
`void`
PipelineMessageErrorHandler.`setMessageEncoder(MessageEncoder messageEncoder)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the message encoder used to encode the outbound error message.

## Uses of MessageEncoder in org.opensaml.messaging.pipeline

Fields in org.opensaml.messaging.pipeline declared as MessageEncoder
Modifier and Type
Field
Description
`private MessageEncoder`
BasicMessagePipeline.`encoder`
Message encoder.
Methods in org.opensaml.messaging.pipeline that return MessageEncoder
Modifier and Type
Method
Description
`MessageEncoder`
BasicMessagePipeline.`getEncoder()`
Get the message encoder instance.
`MessageEncoder`
MessagePipeline.`getEncoder()`
Get the message encoder instance.
Methods in org.opensaml.messaging.pipeline with parameters of type MessageEncoder
Modifier and Type
Method
Description
`protected void`
BasicMessagePipeline.`setEncoder(MessageEncoder newEncoder)`
Set the message encoder instance.
Constructors in org.opensaml.messaging.pipeline with parameters of type MessageEncoder
Modifier
Constructor
Description
``
`BasicMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Uses of MessageEncoder in org.opensaml.messaging.pipeline.httpclient

Methods in org.opensaml.messaging.pipeline.httpclient with parameters of type MessageEncoder
Modifier and Type
Method
Description
`protected void`
BasicHttpClientMessagePipeline.`setEncoder(MessageEncoder encoder)`
Set the message encoder instance.
Constructors in org.opensaml.messaging.pipeline.httpclient with parameters of type MessageEncoder
Modifier
Constructor
Description
``
`BasicHttpClientMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Uses of MessageEncoder in org.opensaml.messaging.pipeline.servlet

Methods in org.opensaml.messaging.pipeline.servlet with parameters of type MessageEncoder
Modifier and Type
Method
Description
`protected void`
BasicHttpServletMessagePipeline.`setEncoder(MessageEncoder encoder)`
Set the message encoder instance.
Constructors in org.opensaml.messaging.pipeline.servlet with parameters of type MessageEncoder
Modifier
Constructor
Description
``
`BasicHttpServletMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Uses of MessageEncoder in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl with type parameters of type MessageEncoder
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,MessageEncoder>`
EncodeMessage.`encoderFactory`
The function to use to obtain an encoder.
Method parameters in org.opensaml.profile.action.impl with type arguments of type MessageEncoder
Modifier and Type
Method
Description
`void`
EncodeMessage.`setMessageEncoderFactory(Function<ProfileRequestContext,MessageEncoder> factory)`
Set the encoder factory to use.

## Uses of MessageEncoder in org.opensaml.saml.common.binding.encoding

Subinterfaces of MessageEncoder in org.opensaml.saml.common.binding.encoding
Modifier and Type
Interface
Description
`interface`
`SAMLMessageEncoder`
SAML extension to the generic message encoder.

## Uses of MessageEncoder in org.opensaml.saml.common.binding.impl

Classes in org.opensaml.saml.common.binding.impl that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`BaseSAMLHttpServletResponseEncoder`
Abstract base encoder for SAML encoders.

## Uses of MessageEncoder in org.opensaml.saml.saml1.binding.encoding.impl

Classes in org.opensaml.saml.saml1.binding.encoding.impl that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`BaseSAML1MessageEncoder`
Base class for SAML 1 message encoders.
`class`
`HTTPArtifactEncoder`
SAML 1.X HTTP Artifact message encoder.
`class`
`HttpClientRequestSOAP11Encoder`
SAML 1.X HTTP SOAP 1.1 binding message encoder for HttpClient HttpRequest.
`class`
`HTTPPostEncoder`
SAML 1.X HTTP POST message encoder.
`class`
`HTTPSOAP11Encoder`
SAML 1.X HTTP SOAP 1.1 binding message encoder.

## Uses of MessageEncoder in org.opensaml.saml.saml2.binding.encoding.impl

Classes in org.opensaml.saml.saml2.binding.encoding.impl that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`BaseSAML2MessageEncoder`
Base class for SAML 2 message encoders.
`class`
`HTTPArtifactEncoder`
SAML 2 Artifact Binding encoder, support both HTTP GET and POST.
`class`
`HttpClientRequestSOAP11Encoder`
SAML 2.0 SOAP 1.1 over HTTP binding encoder for HttpClient HttpRequest.
`class`
`HTTPPostEncoder`
SAML 2.0 HTTP Post binding message encoder.
`class`
`HTTPPostSimpleSignEncoder`
SAML 2.0 HTTP-POST-SimpleSign binding message encoder.
`class`
`HTTPRedirectDeflateEncoder`
SAML 2.0 HTTP Redirect encoder using the DEFLATE encoding method.
`class`
`HTTPSOAP11Encoder`
SAML 2.0 SOAP 1.1 over HTTP binding encoder.

## Uses of MessageEncoder in org.opensaml.soap.client.soap11.encoder.http.impl

Classes in org.opensaml.soap.client.soap11.encoder.http.impl that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`HttpClientRequestSOAP11Encoder`
Basic SOAP 1.1 encoder for HTTP transport via an HttpClient's `ClassicHttpRequest`.

## Uses of MessageEncoder in org.opensaml.soap.soap11.encoder.http.impl

Classes in org.opensaml.soap.soap11.encoder.http.impl that implement MessageEncoder
Modifier and Type
Class
Description
`class`
`HTTPSOAP11Encoder`
Basic SOAP 1.1 encoder for HTTP transport.